#

## measure

Create a ruler to measure the distance between two points on a layout.

### Usage:

> measure [orient]

### Summary:

> The measure command is a script that creates a ruler to measure the distance between two points on a layout. The ruler is positioned within the bounds of the cursor box. The option orient may be "horizontal", "vertical", or "auto", and determines whether the ruler measures a width or a height. Without any option, orientation auto is assumed. Automatic orientation chooses the longer dimension of the cursor box as the dimension to measure. Dimensions are printed in microns.

### Implementation Notes:

> measure is implemented as a Tcl procedure in the "tools" script. The ruler itself is implemented as elements (see the element command), including line elements for the ruler and a text element for the printed dimension.

### See Also:

> unmeasure
> element

Return to command index

Last updated: March 7, 2020 at 1:06pm